﻿namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        List<Person> list1 = new List<Person>();

        list1.Add(new Person() { ID = 1 });
        list1.Add(new Person() { ID = 2 });
        list1.Add(new Person() { ID = 3 });
        list1.Add(new Person() { ID = 4 });
        list1.Add(new Person() { ID = 5 });

        List<Person> list2 = new List<Person>();

        list2.Add(new Person() { ID = 1 });
        list2.Add(new Person() { ID = 2 });
        list2.Add(new Person() { ID = 3 });

        // 리스트1에는 있지만 리스트2에는 없는 항목을 추출한다.
        IEnumerable<Person> personEnumerable = list1.Where(person1 => !list2.Any(person2 => person2.ID == person1.ID));

        foreach(Person person in personEnumerable)
        {
            Console.WriteLine(person.ID);
        }
    }

    #endregion
}